Bug 1086273 - GHC 7.8
GHC 7.8
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Reznik
Petr Bokoc
ChangeAcceptedF21 ChangeAcceptedF22 S...
:
Depends On: 1087243 1176877
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-10 09:55 EDT by Jaroslav Reznik
Modified: 2015-07-21 06:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
== GHC 7.8 == The GHC Haskell compiler has been updated to version 7.8 in Fedora 22. Fedora packages have been updated and rebuilt with the new GHC version. User packages will require a rebuild as well, and may need code changes before they build with GHC 7.8. For full release notes for GHC 7.8, describing all bug fixes and enhancements, see the GHC System User's Guide (https://downloads.haskell.org/~ghc/7.8.4/docs/html/users_guide/index.html). This document contains information about GHC 7.8.1 as well as several subsequent bug fix updates.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 06:28:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2014-04-10 09:55:17 EDT
This is a tracking bug for Change: GHC 7.8
For more details, see: http://fedoraproject.org//wiki/Changes/GHC_7.8

Update the GHC Haskell compiler to the major new 7.8 release, and update/rebuild all Haskell packages against it.
Comment 1 Jens Petersen 2014-04-11 00:00:14 EDT
Just for the record a preliminary build for testing is available from
https://copr.fedoraproject.org/coprs/petersen/ghc-7.8
Comment 2 Jens Petersen 2014-04-11 00:14:59 EDT
It seems also there will be a 7.8.2 release soon due a bug found in 7.8.1.

It is not clear yet when Haskell Platform for 7.8 will be released
but it doesn't really need to block us.
Comment 3 Jaroslav Reznik 2014-07-04 06:43:30 EDT
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 4 Jens Petersen 2014-07-06 22:10:05 EDT
ghc-7.8.2 was released in April but it is somewhat buggy.
ghc-7.8.3 release was expected early June but it is still slipping
but I think it will come out soon.

Of course problem is after branching it will be quite a bit
more work to backport ghc-7.8 to F21, but I think it should
possible to finish that well before the Beta freeze.

I also plan to do a copr SCL for ghc783 for earlier releases.
Comment 5 Jens Petersen 2014-07-10 04:25:25 EDT
Just to update that upstream has released the src tarball for 7.8.3 now
to developers, though the release has not been officially announced yet.
Comment 6 Jens Petersen 2014-07-13 21:27:34 EDT
ghc-7.8.3 was officially released 11th July.
Comment 7 Jaroslav Reznik 2014-07-16 10:04:00 EDT
(In reply to Jens Petersen from comment #6)
> ghc-7.8.3 was officially released 11th July.

Do you have any ETA on packaging?
Comment 8 Jens Petersen 2014-09-02 01:00:31 EDT
Sorry for long silence: well work is still in progress for Rawhide
currently which is the initial target.  I assume we missed the
boat for F21?
Comment 9 Jaroslav Reznik 2014-10-07 08:23:37 EDT
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule
Comment 10 Jaroslav Reznik 2014-10-13 06:50:02 EDT
(In reply to Jens Petersen from comment #8)
> Sorry for long silence: well work is still in progress for Rawhide
> currently which is the initial target.  I assume we missed the
> boat for F21?

Jens, how far are you? Boat is departing right now. I see 7.6.3 in Koji, so I expect you missed it, right? if so, I'll do all required changes to postpone it to Fedora 22.
Comment 11 Jens Petersen 2014-10-14 01:49:44 EDT
Yes, given that it is not in Rawhide I think we will postpone this to F22,
for which it should be ready in good time.

(Most of it can build now but we are still missing some new deps
for some leave packages.)
Comment 12 Jaroslav Reznik 2014-10-14 07:26:12 EDT
Ok, thanks Jens!
Comment 13 Petr Bokoc 2014-10-14 07:50:23 EDT
We won't need a release note for F21 then; setting the flag to -.
Comment 14 Jens Petersen 2015-02-06 16:56:03 EST
286 packages have been built for f22.

There are still a lose ends to tidy up but this work is largely finished now.
Comment 15 Jaroslav Reznik 2015-02-20 05:01:43 EST
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule
Comment 16 Jaroslav Reznik 2015-03-24 07:41:41 EDT
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule
Comment 17 Jaroslav Reznik 2015-03-30 10:19:20 EDT
Jens,
is GHC 7.8 change considered to be completed? See above. If yes, please mark it as ON_QA. Thanks.
Comment 18 Jens Petersen 2015-04-01 05:06:38 EDT
There are still a few loose ends like Agda and aarch64,
but I think it is basically 99% done.
Comment 19 Jens Petersen 2015-04-03 05:28:27 EDT
(In reply to Jens Petersen from comment #18)
> There are still a few loose ends like Agda and aarch64,
> but I think it is basically 99% done.

ghc is built now for aarch64, and Agda building now for f23:
once done I will build it also for f22.
Comment 20 Petr Bokoc 2015-04-08 11:20:38 EDT
Hello Jens, we'd like to include this change in the Fedora 22 Beta Release Notes.

Please take a look at the draft I posted into the Doc Text field, and let me know if this text is sufficient, or if there's anything you'd like to add or change.

Thanks!
Comment 21 Jens Petersen 2015-04-08 13:38:15 EDT
Petr, your text looks to me!  Thanks

Note You need to log in before you can comment on or make changes to this bug.